﻿<?php
	require_once('config.php');
	require_once('classes.php');
	require_once('functions.php');
	require_once('FileMaker.php');
	error_reporting(E_ALL);

	session_start();
	
	if(!isset($_SESSION['user'])) die('error: login');
	
	if(!isset($_GET['port']))  die('error: unknown port');
	
	$ppWeb = openDB();

	//// PORTS
	switch($_GET['port']){
	
		// getHours
		case 'getHours':
		//echo "getHours";
			if(!isset($_GET['member'])) exit;
			if(!isset($_GET['date'])) exit;
			
			$command = $ppWeb->newFindCommand(cHour::webLayout);
			$command->addFindCriterion('f1_FKey_Mitarbeiter', "==" . $_GET['member']);
			$command->addFindCriterion('f1_Datum', $_GET['date']);
			$command->addSortRule('f1_Zeit_Beginn', 1, FILEMAKER_SORT_ASCEND);
			$result = $command->execute();
			
			$hours = array();
			if(!FileMaker::IsError($result)){
				$records = $result->getRecords();
				foreach($records as $record) $hours[] = new cHour($ppWeb, $record);
			}
			
			
			header('Content-Type: application/xml');
			printf('<?xml version="1.0" encoding="utf-8"?>');
			printf('<hours count="%s">', count($hours));
			foreach($hours as $hour){
				printf('<hour');
				printf(' guid="%s"', $hour->guid());
				printf(' recid="%s"', $hour->recid());
				printf(' date="%s"', $hour->Date());
				printf(' tstart="%s"', $hour->TStart());
				printf(' tend="%s"', $hour->TEnd());
				printf(' duration="%s"', $hour->Duration());
				printf(' notice="%s"', $hour->Notice());
				printf(' fee="%s"', $hour->Fee());
				printf(' feecleaered="%s"', $hour->FeeCleared());
				printf(' feegroup="%s"', $hour->FeeGroup());
				printf(' project="%s"', $hour->ProjectNr());
				printf(' job="%s"', $hour->JobNr());
				printf(' fkJob="%s"', $hour->fkJob());
				printf(' PositionTitle="%s"', $hour->PositionTitle());
				printf(' PositionNr="%s"', $hour->PositionNr());
				printf(' fkPosition="%s"', $hour->fkPosition());
				printf(' fkMember="%s"', $hour->fkMember());
                printf(' group="%s"', $hour->group());
                printf(' factor="%s"', $hour->factor());
                printf(' travel="%s"', $hour->travel());
                printf(' ProjektBezeichnung="%s"', $hour->ProjektBezeichnung());
                printf(' AuftragBezeichnung="%s"', $hour->AuftragBezeichnung());
                printf(' PositionBezeichnung="%s"', $hour->PositionBezeichnung());                
                             
				printf(' />');
			}
			printf('</hours>');
		break;
		
		// getHour
		case 'getHour':
			if(!isset($_GET['recid'])) exit;
			
			$hour = new cHour($ppWeb);
			if($hour->openRecID($_GET['recid'])) die('error: '. $result->getErrorString());
			
			header('Content-Type: application/xml');
			printf('<?xml version="1.0" encoding="utf-8"?>');
			printf('<hour');
			printf(' guid="%s"', $hour->guid());
			printf(' recid="%s"', $hour->recid());
			printf(' date="%s"', $hour->Date());
			printf(' tstart="%s"', $hour->TStart());
			printf(' tend="%s"', $hour->TEnd());
			printf(' duration="%s"', $hour->Duration());
			printf(' notice="%s"', $hour->Notice());
			printf(' fee="%s"', $hour->Fee());
			printf(' feecleaered="%s"', $hour->FeeCleared());
			printf(' feegroup="%s"', $hour->FeeGroup());
			printf(' project="%s"', $hour->ProjectNr());
			printf(' job="%s"', $hour->JobNr());
			printf(' fkJob="%s"', $hour->fkJob());
			printf(' PositionTitle="%s"', $hour->PositionTitle());
			printf(' PositionNr="%s"', $hour->PositionNr());
			printf(' fkPosition="%s"', $hour->fkPosition());
			printf(' fkMember="%s"', $hour->fkMember());
                        printf(' group="%s"', $hour->group());
                        printf(' factor="%s"', $hour->factor());
                        printf(' travel="%s"', $hour->travel());
			printf(' />');
		break;
		
		// setHour
		case 'setHour':
			if(isset($_GET['recid'])){
				$hour = new cHour($ppWeb);
				if($hour->openRecID($_GET['recid'])) die('error: '. $result->getErrorString());
			}else{
				die('error: no matching overload');
			}
			
			$edit = false;
			if(isset($_GET['date'])){ $hour->Date($_GET['date']); $edit = true; }
			if(isset($_GET['tstart'])){ $hour->TStart($_GET['tstart']); $edit = true; }




                        if(isset($_GET['tend'])){ $hour->TEnd($_GET['tend']); $edit = true; }
                        

			if(isset($_GET['duration'])){ $hour->Duration($_GET['duration']); $edit = true; }
			if(isset($_GET['notice'])){ $hour->Notice($_GET['notice']); $edit = true; }
			if(isset($_GET['fee'])){ $hour->Fee($_GET['fee']); $edit = true; }
			if(isset($_GET['feecleared'])){ $hour->FeeCleared($_GET['feecleared']); $edit = true; }
			if(isset($_GET['feegroup'])){ $hour->FeeGroup($_GET['feegroup']); $edit = true; }
			if(isset($_GET['fkposition'])){ $hour->fkPosition($_GET['fkposition']); $edit = true; }
                        if(isset($_GET['group'])){ $hour->group($_GET['group']); $edit = true; }
                        if(isset($_GET['factor'])){ $hour->factor($_GET['factor']); $edit = true; }
                        if(isset($_GET['travel'])){ $hour->travel($_GET['travel']); $edit = true; }
			
			if($edit == true)
				if(FileMaker::IsError($result = $hour->commit())) die($result->getErrorString());
			
			header('Content-Type: application/xml');
			printf('<?xml version="1.0" encoding="utf-8"?>');
			printf('<hour');
			printf(' guid="%s"', $hour->GUID());
			printf(' recid="%s"', $hour->RecID());
			printf(' date="%s"', $hour->Date());
			printf(' tstart="%s"', $hour->TStart());
			printf(' tend="%s"', $hour->TEnd());
			printf(' duration="%s"', $hour->Duration());
			printf(' notice="%s"', $hour->Notice());
			printf(' fee="%s"', $hour->Fee());
			printf(' feecleaered="%s"', $hour->FeeCleared());
			printf(' feegroup="%s"', $hour->FeeGroup());
			printf(' project="%s"', $hour->ProjectNr());
			printf(' job="%s"', $hour->JobNr());
			printf(' fkJob="%s"', $hour->fkJob());
			printf(' PositionTitle="%s"', $hour->PositionTitle());
			printf(' PositionNr="%s"', $hour->PositionNr());
			printf(' fkPosition="%s"', $hour->fkPosition());
			printf(' fkMember="%s"', $hour->fkMember());
                        printf(' group="%s"', $hour->group());
                        printf(' factor="%s"', $hour->factor());
                        printf(' travel="%s"', $hour->travel());
			printf(' />');
		break;
		
		// newHour
		case 'newHour':
			if(!isset($_GET['member'])) exit;
			if(!isset($_GET['date'])) exit;
			
			
			$command = $ppWeb->newAddCommand(cHour::webLayout);
			$result = $command->execute();
			
			if(!FileMaker::IsError($result)){
				$records = $result->getRecords();
				foreach($records as $record) $hour = new cHour($ppWeb, $record);
			}else{
				die('error: '. $result->getErrorString());
			}
			
			//Variablen aus der Ajax funktion aus der core.js holen
			$hour->fkMember($_GET['member']);
			$hour->Date($_GET['date']);
			$hour->Notice($_GET['notice']);
			$hour->TStart($_GET['tstart']);
			$hour->TEnd($_GET['tend']);
			$hour->Duration($_GET['duration']);
			$hour->factor($_GET['factor']);
			$hour->ProjectNr($_GET['project']);
			$hour->group($_GET['group']);
			$hour->Fee($_GET['fee']);
			$hour->travel($_GET['travel']);
			$hour->fkPosition($_GET['fkPosition']);
			$hour->commit();
			
			
			//XML generieren
			header('Content-Type: application/xml');
			printf('<?xml version="1.0" encoding="utf-8"?>');
			printf('<hour');
			printf(' guid="%s"', $hour->GUID());
			printf(' recid="%s"', $hour->RecID());
			printf(' date="%s"', $hour->Date());
			printf(' tstart="%s"', $hour->TStart());
			printf(' tend="%s"', $hour->TEnd());
			printf(' duration="%s"', $hour->Duration());
			printf(' notice="%s"', $hour->Notice());
			printf(' fee="%s"', $hour->Fee());
			printf(' feecleaered="%s"', $hour->FeeCleared());
			printf(' feegroup="%s"', $hour->FeeGroup());
			printf(' project="%s"', $hour->ProjectNr());
			printf(' job="%s"', $hour->JobNr());
			printf(' fkJob="%s"', $hour->fkJob());
			printf(' PositionTitle="%s"', $hour->PositionTitle());
			printf(' PositionNr="%s"', $hour->PositionNr());
			printf(' fkPosition="%s"', $hour->fkPosition());
			printf(' fkMember="%s"', $hour->fkMember());
                        printf(' group="%s"', $hour->group());
                        printf(' factor="%s"', $hour->factor());
                        printf(' travel="%s"', $hour->travel());
                       
			printf(' />');
		break;
		
		// duplicateHour
		case 'duplicateHour':
			if(!isset($_GET['recid'])){
				die('error: no matching overload');
			}
			
			$command = $ppWeb->newDuplicateCommand(cHour::webLayout, $_GET['recid']);
			$result = $command->execute();
			
			if(!FileMaker::IsError($result)){
				$records = $result->getRecords();
				foreach($records as $record) $hour = new cHour($ppWeb, $record);
			}else{
				die('error: '. $result->getErrorString());
			}
						
			header('Content-Type: application/xml');
			printf('<?xml version="1.0" encoding="utf-8"?>');
			printf('<hour');
			printf(' guid="%s"', $hour->guid());
			printf(' recid="%s"', $hour->recid());
			printf(' srcRecid="%s"', $_GET['recid']);
			printf(' date="%s"', $hour->Date());
			printf(' tstart="%s"', $hour->TStart());
			printf(' tend="%s"', $hour->TEnd());
			printf(' duration="%s"', $hour->Duration());
			printf(' notice="%s"', $hour->Notice());
			printf(' fee="%s"', $hour->Fee());
			printf(' feecleaered="%s"', $hour->FeeCleared());
			printf(' feegroup="%s"', $hour->FeeGroup());
			printf(' project="%s"', $hour->ProjectNr());
			printf(' job="%s"', $hour->JobNr());
			printf(' fkJob="%s"', $hour->fkJob());
			printf(' PositionTitle="%s"', $hour->PositionTitle());
			printf(' PositionNr="%s"', $hour->PositionNr());
			printf(' fkPosition="%s"', $hour->fkPosition());
			printf(' fkMember="%s"', $hour->fkMember());
                        printf(' group="%s"', $hour->group());
                        printf(' factor="%s"', $hour->factor());
                        printf(' travel="%s"', $hour->travel());
                      
			printf(' />');
		break;
		
		// deleteHour
		case 'deleteHour':
			if(!isset($_GET['recid'])) exit;

			$hour = new cHour($ppWeb);
			if($hour->openRecID($_GET['recid'])) die('error: '. $result->getErrorString());
			
			header('Content-Type: application/xml');
			printf('<?xml version="1.0" encoding="utf-8"?>');
			if($hour->delete()){ printf('<delete recid="%s" error="%s"/>', $_GET['recid'], 1); exit; }
			printf('<delete recid="%s" error="%s"/>', $_GET['recid'], 0);
		break;
		
		// getProjects
		case 'getProjects':
			if(!isset($_GET['member'])) exit;;
                        $token = $_GET['member'];

                        $command = $ppWeb->newCompoundFindCommand(cProject::webLayout);
			$subcommand[0] = $ppWeb->newFindRequest(cProject::webLayout);
			$subcommand[0]->addFindCriterion('f1_ZeiterfassungZulaessig_flag', '1');
			$subcommand[0]->addFindCriterion('ss_ze_ke_mitarbeiterprojekte', 'alle');
			$subcommand[0]->setOmit(false);
			$command->add(1, $subcommand[0]);
			if($token !== null){
				$subcommand[1] = $ppWeb->newFindRequest(cProject::webLayout);
				$subcommand[1]->addFindCriterion('f1_ZeiterfassungZulaessig_flag', '1');
				$subcommand[1]->addFindCriterion('ss_ze_ke_mitarbeiterprojekte', $token);
				$subcommand[1]->setOmit(false);
				$command->add(2, $subcommand[1]);
			}
			$command->addSortRule('f1_Nr', 1, FILEMAKER_SORT_ASCEND);
			$result = $command->execute();
			unset($command, $subcommand);
			if(iserror($result)){ printerror($result->getErrorString()); exit; }
			$records = $result->getRecords();
			if(!FileMaker::IsError($result)){
				foreach($records as $record) $projects[] = new cProject($ppWeb, $record);
			}
			header('Content-Type: text/xml');
			printf('<?xml version="1.0" encoding="utf-8"?>');
			printf('<projects count="%s">', count($projects));
			foreach($projects as $project){
				printf('<project');
				printf(' guid="%s"', $project->guid());
				printf(' recid="%s"', $project->RecID());
				printf(' nr="%s"', $project->nr());
				printf(' name="%s"', $project->name());
				printf(' />');
			}
			printf('</projects>');
		break;
		
		// getJobs
		case 'getJobs':
			if(!isset($_GET['project'])) die('error: missing parameter');
			
			$command = $ppWeb->newFindCommand(cJob::webLayout);
			//$command->addFindCriterion('f1_NrP', "==". $_GET['project']);
                        $command->addFindCriterion('f1_NrP', "==" . $_GET['project']);
			$command->addFindCriterion('s_zeiterfassung_flag_valuelist', '1');
			$command->addSortRule('f1_Nr', 1, FILEMAKER_SORT_ASCEND);
			$result = $command->execute();
	
			$jobs = array();
			if(!FileMaker::IsError($result)){
				$records = $result->getRecords();
				foreach($records as $record) $jobs[] = new cJob($ppWeb, $record);
			}
	
			header('Content-Type: text/xml');
			printf('<?xml version="1.0" encoding="utf-8"?>');
			printf('<jobs count="%s">', count($jobs));
			foreach($jobs as $job){
				printf('<job');
				printf(' guid="%s"', $job->guid());
				printf(' recid="%s"', $job->RecID());
				printf(' nr="%s"', $job->nr());
				printf(' name="%s"', $job->name());
				printf(' />');
			}
			printf('</jobs>');
		break;
		
		// getPositions
		case 'getPositions':
			if(!isset($_GET['job'])) die('error: parameter missing');
	
			$command = $ppWeb->newFindCommand(cPosition::webLayout);
			$command->addFindCriterion('f1_FKey_Auftrag', $_GET['job']);
			$command->addFindCriterion('s_zeiterfassung_flag_valuelist', '1');
			$command->addSortRule('f1_NrT', 1, FILEMAKER_SORT_ASCEND);
			$command->addSortRule('f1_Nr', 2, FILEMAKER_SORT_ASCEND);
			
			
			
			$result = $command->execute();
			
			$positions = array();
			if(!FileMaker::IsError($result)){
				$records = $result->getRecords();
				foreach($records as $record) $positions[] = new cPosition($ppWeb, $record);
			}

			$titles = array();
			foreach($positions as $pos){
				if($pos->Nr() == ''){
					$titles[$pos->Title()]['nr'] = $pos->Title();
					$titles[$pos->Title()]['name'] = $pos->Name();
				}else{
					$titles[$pos->Title()]['positions'][] = $pos;
				}
			}
			
			header('Content-Type: application/xml');
			printf('<?xml version="1.0" encoding="utf-8"?>');
			printf('<titles count="%s">', count($titles));
			foreach($titles as $title){
				printf('<title');
				printf(' nr="%s"', (isset($title['nr']) ? $title['nr'] : ''));
				printf(' name="%s"', (isset($title['name']) ? $title['name'] : ''));
				if(isset($title['positions']))
					printf(' positions="%s"', count($title['positions']));
				printf(' >');
				if(isset($title['positions']))
					foreach($title['positions'] as $position){
						printf('<position');
						printf(' guid="%s"', $position->guid());
						printf(' recid="%s"', $position->RecID());
						printf(' nr="%s"', $position->nr());
						printf(' title="%s"', $position->Title());
						printf(' name="%s"', $position->name());
						printf(' project="%s"', $position->project());
						printf(' job="%s"', $position->Job());
						printf(' fkjob="%s"', $position->FKeyJob());
						printf(' fee="%s"', $position->Fee());
						printf(' />');
					}
				printf('</title>');
			}
			printf('</titles>');
		break;

		// getGroup
		case 'getGroup':

                        if(!isset($_GET['position'])) die('error: parameter missing');

			$command = $ppWeb->newFindCommand(cPosition::webLayout);
			$command->addFindCriterion('f1_GUID', $_GET['position']);
                        //$command->addFindCriterion('f1_GUID', '*');
			$result = $command->execute();

                        $groups = array();
			if(!FileMaker::IsError($result)){
				$records = $result->getRecords();
				foreach($records as $record) $groups[] = new cPosition($ppWeb, $record);
			}

                        //print_r($groups);


                        header('Content-Type: text/xml');
			printf('<?xml version="1.0" encoding="utf-8"?>');
			printf('<groups count="%s">', count($groups));
			foreach($groups as $group){
				printf('<group');
				printf(' name="%s"', $group->Group());
				printf(' />');
			}
			printf('</groups>');



		break;
		        //WebStempelUhr
		case 'newClockTime':

			if(!isset($_GET['member'])) exit;

			$command = $ppWeb->newAddCommand(cTimeClock::webLayout);
			$result = $command->execute();

			if(!FileMaker::IsError($result)){
				$records = $result->getRecords();
				foreach($records as $record) $TimeClock = new cTimeClock($ppWeb, $record);
			}else{
				//die('error: '. $result->getErrorString());
			}

                        $edit = false;
			if(isset($_GET['member'])){ $TimeClock->Member($_GET['member']); $edit = true; }
                        if(isset($_GET['date'])){ $TimeClock->Date($_GET['date']); $edit = true; }
                        if(isset($_GET['time_begin'])){ $TimeClock->Begin($_GET['time_begin']); $edit = true; }
                        if(isset($_GET['time_end'])){ $TimeClock->End($_GET['time_end']); $edit = true; }
                        if(isset($_GET['time_break'])){ $TimeClock->Pause($_GET['time_break']); $edit = true; }
			if($edit == true)
			if(FileMaker::IsError($result = $TimeClock->commit())) /*die($result->getErrorString());*/
                        $TimeClock->commit();


			header('Content-Type: application/xml');
			printf('<?xml version="1.0" encoding="utf-8"?>');
			printf('<ClockTime');
			printf(' guid="%s"', $TimeClock->GUID());
			printf(' member="%s"', $TimeClock->Member());
			printf(' recid="%s"', $TimeClock->RecID());
			printf(' date="%s"', $TimeClock->Date());
			printf(' begin="%s"', $TimeClock->Begin());
			printf(' end="%s"', $TimeClock->End());
			printf(' pause="%s"', $TimeClock->Pause());
			//printf(' notice="%s"', $TimeClock->Notice());
			printf(' />');

		break;


                case 'editClockTime':
                        if(!isset($_GET['recid'])) exit;

			if(isset($_GET['recid'])){
				$TimeClock = new cTimeClock($ppWeb);
				if($TimeClock->openRecID($_GET['recid'])) /*die('error: '. $result->getErrorString());*/;
			}else{
				//die('error: no matching overload');
			}

                        $edit = false;
			if(isset($_GET['member'])){ $TimeClock->Member($_GET['member']); $edit = true; }
                        if(isset($_GET['date'])){ $TimeClock->Date($_GET['date']); $edit = true; }
                        if(isset($_GET['time_begin'])){ $TimeClock->Begin($_GET['time_begin']); $edit = true; }
                        if(isset($_GET['time_end'])){ $TimeClock->End($_GET['time_end']); $edit = true; }
                        if(isset($_GET['time_break'])){ $TimeClock->Pause($_GET['time_break']); $edit = true; }

			if($edit == true)
                            if(FileMaker::IsError($result = $TimeClock->commit())) /*die($result->getErrorString());*/
                        $TimeClock->commit();

			header('Content-Type: application/xml');
			printf('<?xml version="1.0" encoding="utf-8"?>');
			printf('<ClockTime');
			printf(' guid="%s"', $TimeClock->GUID());
			printf(' member="%s"', $TimeClock->Member());
			printf(' recid="%s"', $TimeClock->RecID());
			printf(' date="%s"', $TimeClock->Date());
			printf(' begin="%s"', $TimeClock->Begin());
			printf(' end="%s"', $TimeClock->End());
			printf(' pause="%s"', $TimeClock->Pause());
			printf(' />');

		break;




		// get ClockTime
		case 'getClockTime':
			if(!isset($_GET['date'])) die('error: missing parameter');
			if(!isset($_GET['member'])) die('error: missing parameter');

			$command = $ppWeb->newFindCommand(cTimeClock::webLayout);
			$command->addFindCriterion('f1_Datum', "==". $_GET['date']);
			$command->addFindCriterion('f1_FKey_Mitarbeiter', "==". $_GET['member']);
			$command->addSortRule('f1_Beginn', 1, FILEMAKER_SORT_ASCEND);
			$result = $command->execute();

			$ClockTimes = array();
			if(!FileMaker::IsError($result)){
				$records = $result->getRecords();
				foreach($records as $record) $ClockTimes[] = new cTimeClock($ppWeb, $record);
			}

			header('Content-Type: application/xml');
			printf('<?xml version="1.0" encoding="utf-8"?>');
			printf('<ClockTimes count="%s">', count($ClockTimes));
			foreach($ClockTimes as $TimeClock){
				printf('<ClockTime');
				printf(' guid="%s"', $TimeClock->GUID());
				printf(' member="%s"', $TimeClock->Member());
				printf(' recid="%s"', $TimeClock->RecID());
				printf(' date="%s"', $TimeClock->Date());
				printf(' begin="%s"', $TimeClock->Begin());
				printf(' end="%s"', $TimeClock->End());
				printf(' pause="%s"', $TimeClock->Pause());
				//printf(' notice="%s"', $TimeClock->Notice());
				printf(' />');
			}
			printf('</ClockTimes>');

		break;


                		// getClockTime_recid
		case 'getClockTime_recid':
			if(!isset($_GET['recid'])) die('error: missing parameter');

			$command = $ppWeb->newFindCommand(cTimeClock::webLayout);
			$command->addFindCriterion('s_RecID', "==". $_GET['recid']);
			$result = $command->execute();

			$ClockTimes = array();
			if(!FileMaker::IsError($result)){
				$records = $result->getRecords();
				foreach($records as $record) $ClockTimes[] = new cTimeClock($ppWeb, $record);
			}

			header('Content-Type: application/xml');
			printf('<?xml version="1.0" encoding="utf-8"?>');
			printf('<ClockTimes count="%s">', count($ClockTimes));
			foreach($ClockTimes as $TimeClock){
				printf('<ClockTime');
				printf(' guid="%s"', $TimeClock->GUID());
				printf(' member="%s"', $TimeClock->Member());
				printf(' recid="%s"', $TimeClock->RecID());
				printf(' date="%s"', $TimeClock->Date());
				printf(' begin="%s"', $TimeClock->Begin());
				printf(' end="%s"', $TimeClock->End());
				printf(' pause="%s"', $TimeClock->Pause());
				printf(' />');
			}
			printf('</ClockTimes>');

		break;







		// delete ClockTime
		case 'deleteClockTime':
			if(!isset($_GET['recid'])) exit;

			

                $command = $ppWeb->newFindCommand("web_zeiterfassung_PRC_MitarbArbeitszeit");
				$command->addFindCriterion( 's_RecID', "==". $_GET['recid']);
				$result = $command->execute();
                //print_r($result);

                $ClockTime = new cTimeClock($ppWeb);
                $ClockTime->openRecID($_GET['recid']);
                $ClockTime->delete();

				header('Content-Type: application/xml');
				printf('<?xml version="1.0" encoding="utf-8"?>');
                printf('<delete recid="%s" error="%s"/>', $_GET['recid'], 0);


			
                        /*
                         * if($ClockTime->openRecID($_GET['recid']))
                                print_r($ClockTime);

			header('Content-Type: application/xml');
			printf('<?xml version="1.0" encoding="utf-8"?>');
			if($ClockTime->delete()){ printf('<delete recid="%s" error="%s"/>', $_GET['recid'], 1); exit; }
			printf('<delete recid="%s" error="%s"/>', $_GET['recid'], 0);
                         *
                         *
                         */
		break;

		case 'GetMitarb':
			if(!isset($_GET['member'])) exit;

			$command = $ppWeb->newFindCommand(cMember::webLayout);
			$command->addFindCriterion('f1_MKrz', "==". $_GET['member']);
			$result = $command->execute();
			if(!FileMaker::IsError($result)){
				$records = $result->getRecords();
				foreach($records as $record) $sum = new cMember($ppWeb, $record);
			}else{
				//die('error: '. $result->getErrorString());
			}

                        
                        header('Content-Type: application/xml');
			printf('<?xml version="1.0" encoding="utf-8"?>');
			printf('<Mitarb');
			printf(' Calender="%s"', $sum->CalenderFKey());
			printf(' />');

		break;


        case 'GetSum_ArbeitZeit':
			if(!isset($_GET['member'])) exit;
			if(!isset($_GET['date'])) exit;
			$command = $ppWeb->newFindCommand(cGetSum_ArbeitZeit::webLayout);
			$command->addFindCriterion('f1_Datum', "==". $_GET['date']);
			$command->addFindCriterion('f1_FKey_Mitarbeiter', "==". $_GET['member']);
			$result = $command->execute();


			if(!FileMaker::IsError($result)){
				$records = $result->getRecords();
				foreach($records as $record) $sum = new cGetSum_ArbeitZeit($ppWeb, $record);
			}else{
                            header('Content-Type: application/xml');
                            printf('<?xml version="1.0" encoding="utf-8"?>');
                            printf('<Stunden');
                            printf(' sum_std="%s"', '0');
                            printf(' />');
                            die();
                            //die('error: '. $result->getErrorString());
			}

		
			header('Content-Type: application/xml');
			printf('<?xml version="1.0" encoding="utf-8"?>');
			printf('<Stunden');
			printf(' sum_std="%s"', $sum->sum_std());
			printf(' />');


		break;



        case 'GetSum_ProjektZeit':

			if(!isset($_GET['member'])) exit;
			if(!isset($_GET['date'])) exit;

			$command = $ppWeb->newFindCommand(cGetSum_ProjektZeit::webLayout);
			$command->addFindCriterion('f1_Datum', "==". $_GET['date']);
			$command->addFindCriterion('f1_FKey_Mitarbeiter', "==". $_GET['member']);
			$result = $command->execute();


			if(!FileMaker::IsError($result)){
				$records = $result->getRecords();
				foreach($records as $record) $sum = new cGetSum_ProjektZeit($ppWeb, $record);
			}else{
                            header('Content-Type: application/xml');
                            printf('<?xml version="1.0" encoding="utf-8"?>');
                            printf('<Stunden');
                            printf(' std="%s"', "0");
                            printf(' />');
                            die();
                            //die('error: '. $result->getErrorString());
			}


			header('Content-Type: application/xml');
			printf('<?xml version="1.0" encoding="utf-8"?>');
			printf('<Stunden');
			printf(' std="%s"', $sum->sum_Std());
			printf(' StdStd="%s"', $sum->StdStd());
			printf(' />');


		break;



		case 'GetDayAnalysis':
			if(!isset($_GET['member'])) exit;
			if(!isset($_GET['date'])) exit;

                        

			$command = $ppWeb->newFindCommand(cGetDayAnalysis::webLayout);
            $command->addFindCriterion('f1_Datum', "==". $_GET['date']);
			$command->addFindCriterion('f1_FKey_Mitarbeiter', "==". $_GET['member']);
			$result = $command->execute();


			if(!FileMaker::IsError($result)){

				$records = $result->getRecords();
				foreach($records as $record) $sum = new cGetDayAnalysis($ppWeb, $record);
				
			}else{
				header('Content-Type: application/xml');
				printf('<?xml version="1.0" encoding="utf-8"?>');
				printf('<SollStunden');
				printf(' FKeyMitarbeiter="%s"', $_GET['member']);
				printf(' ArbeitsStd_soll="%s"', "0");
				printf(' date="%s"', $_GET['date']);
				printf(' />');
				
				exit;
			}

			header('Content-Type: application/xml');
			printf('<?xml version="1.0" encoding="utf-8"?>');
			printf('<SollStunden');
			printf(' FKeyMitarbeiter="%s"', $sum->FKeyMitarbeiter());
			printf(' ArbeitsStd_soll="%s"', $sum->ArbeitsStd_soll());
			printf(' date="%s"', $sum->date());
			printf(' />');

		break;



        case 'GetMitArbAnalysis':
			if(!isset($_GET['FKeyKalender'])) exit;
			if(!isset($_GET['date'])) exit;

			$command = $ppWeb->newFindCommand(cGetDayAnalysis::webLayout);
			$command->addFindCriterion('f1_Datum', "==". $_GET['date']);
			$command->addFindCriterion('f1_FKey_Kalender', "==". $_GET['FKeyKalender']);
			$result = $command->execute();


			if(!FileMaker::IsError($result)){
				$records = $result->getRecords();
				foreach($records as $record) $sum = new cGetDayAnalysis($ppWeb, $record);
			}else{
				//die('error: '. $result->getErrorString());
			}

                        
			header('Content-Type: application/xml');
			printf('<?xml version="1.0" encoding="utf-8"?>');
			printf('<SollStunden');
			printf(' FKeyKalender="%s"', $sum->FKeyKalender());
			printf(' ArbeitsStd_soll="%s"', $sum->ArbeitsStd_soll());
			printf(' date="%s"', $sum->date());
			printf(' />');

		break;

        case 'GetMitarbUeberstunden':

        	
			if(!isset($_GET['member'])) exit;
            if(!isset($_GET['date'])) exit;
        	
        	
			$datum = $_GET['date'];
            $datum_array = explode ("/", $datum);

        	
        	$command = $ppWeb->newFindCommand(cUeberstunden::webLayout);
        	$command->addFindCriterion('f1_Monat', "==". $datum_array[0]);
        	$command->addFindCriterion('f1_Jahr', "==". $datum_array[2]);
        	$command->addFindCriterion('f1_FKey_Mitarbeiter', "==". $_GET['member']);
        	$command->addFindCriterion('s_Monat_flag', "==". "1");
        	$result = $command->execute();

        	
        	if(!FileMaker::IsError($result)){
	        	$records = $result->getRecords();
	        	foreach($records as $record) $sum = new cUeberstunden($ppWeb, $record);
	        }else{
	        	//die('error: '. $result->getErrorString());
        	}
        	
        	$Ueberstunden = $sum->Ueberstunden();
        	$UeberstundenToleranz = $sum->UeberstundenToleranz();
        	
        	
        	
        	$command = $ppWeb->newFindCommand(cUeberstunden::webLayout);
        	$command->addFindCriterion('f1_Jahr', "==". $datum_array[2]);
        	$command->addFindCriterion('f1_FKey_Mitarbeiter', "==". $_GET['member']);
        	$command->addFindCriterion('s_Jahr_flag', "==". "1");
        	$result = $command->execute();
        	
        	 
        	if(!FileMaker::IsError($result)){
        		$records = $result->getRecords();
        		foreach($records as $record) $sum = new cUeberstunden($ppWeb, $record);
        	}else{
        		//die('error: '. $result->getErrorString());
        	}

        	$Resturlaub = $sum->Resturlaub();
        	$UeberstundenJahr = $sum->UeberstundenJahr();
        
        	
        	header('Content-Type: application/xml');
        	printf('<?xml version="1.0" encoding="utf-8"?>');
        	printf('<Sum');
        	printf(' ueberstunden="%s"', $Ueberstunden);
        	printf(' ueberstdtoleranz="%s"', $UeberstundenToleranz);
        	printf(' Resturlaub="%s"', $Resturlaub);
        	printf(' UeberstundenJahr="%s"', $UeberstundenJahr);
        	printf(' />');


		break;
		
		 case 'GetWeb_stempeluhr_Arbeitszeitmodell_Arbeitstag':

        	
			if(!isset($_GET['member'])) exit;
			if(!isset($_GET['date'])) exit;
			
			$command = $ppWeb->newFindCommand(cGetWeb_stempeluhr_Arbeitszeitmodell_Arbeitstag::webLayout);
			$command->addFindCriterion('f1_FKey_Mitarbeiter', "==" . $_GET['member']);
			$command->addFindCriterion('f1_Datum', $_GET['date']);
			$result = $command->execute();
			
			
			if(!FileMaker::IsError($result)){
				$records = $result->getRecords();
			foreach($records as $record) $sum = new cGetWeb_stempeluhr_Arbeitszeitmodell_Arbeitstag($ppWeb, $record);
			}
			
        	
        	
        
        	
        	header('Content-Type: application/xml');
        	printf('<?xml version="1.0" encoding="utf-8"?>');
        	printf('<Sum');
        	printf(' FKey_Mitarb="%s"', $sum->FKey_Mitarb());
        	printf(' Typ="%s"', $sum->Typ());
        	printf(' Bezeichnung="%s"', $sum->Bezeichnung());
        	printf(' Date="%s"', $sum->date());
        	printf(' />');


		break;

	
	case 'Arbeitszeitmodell_Arbeitstag':

			if(!isset($_GET['member'])) exit;
			if(!isset($_GET['Date'])) exit;
			
			$command = $ppWeb->newFindCommand(cGetWeb_stempeluhr_Arbeitszeitmodell_Arbeitstag::webLayout);
			$command->addFindCriterion('f1_FKey_Mitarbeiter', "==" . $_GET['member']);
			$command->addFindCriterion('f1_Datum', "==" . $_GET['Date']);
			$command->addFindCriterion('f1_Typ', ">" . "1");
			
			$result = $command->execute();
			
			
			if(!FileMaker::IsError($result)){
				$records = $result->getRecords();
			foreach($records as $record) $DAY = new cGetWeb_stempeluhr_Arbeitszeitmodell_Arbeitstag($ppWeb, $record);
			}
			
        	$counter=0;
        				
			/*
			header('Content-Type: application/xml');
        	printf('<?xml version="1.0" encoding="utf-8"?>');
			printf('<Records count="%s">', 1);
        		printf('<record');
        		printf(' Typ="%s"', $DAY->Typ());
        		printf(' Bezeichnung="%s"', $DAY->Bezeichnung());
        		printf(' Date="%s"', $DAY->Date());
        		printf(' />');
        	printf('</Records>');
        	*/
			
        	
			header('Content-Type: application/xml');
        	printf('<?xml version="1.0" encoding="utf-8"?>');
        	printf('<record');
        	printf(' Typ="%s"', $DAY->Typ());
        	printf(' Bezeichnung="%s"', $DAY->Bezeichnung());
        	printf(' />');       

        	
        	/*
        	header('Content-Type: application/xml');
			printf('<?xml version="1.0" encoding="utf-8"?>');
			foreach($DAYs as $Day){
				
				printf('<record');
        		
        		printf(' Typ="%s"', $Day->Typ());
        		printf(' Bezeichnung="%s"', $Day->Bezeichnung());
        		printf(' Date="%s"', $Day->Date());
        		printf(' />');	
			}
			
			*/
			
			
       	
        	
		break;
		// default
		default:
	}
?>